API referencePayment methods
Forwarded payment emails and how each was matched
AuthorizationBearer <token>
API key from Settings → API keys
In: header
Path Parameters
storeId*string
Query Parameters
page?integer
Range
1 <= value <= 9007199254740991Default
1perPage?integer
Range
1 <= value <= 100Default
25state?string
Value in
- "matched"
- "confirming"
- "unmatched"
- "ignored"
- "duplicate"
methodId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/stores/string/payment-emails"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "paymentMethodId": "b6df8625-cd25-4123-b345-638aa7b5d011", "methodLabel": "string", "source": "inbound", "fromAddress": "string", "originalFrom": "string", "subject": "string", "bodyPreview": "string", "provider": "string", "amount": "string", "currency": "string", "payer": "string", "senderAuthenticated": true, "state": "matched", "reason": "string", "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5", "receivedAt": "string" } ], "pagination": { "page": -9007199254740991, "perPage": -9007199254740991, "total": -9007199254740991 }}